Skip to main content
GET
/ai/activity/trends

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

source
enum<string>

Only include one route: chat (Spark questions and chat naming) or summary (AI summaries)

Available options:
chat,
summary
organisation_id
string

Comma-separated organisation IDs

user_id
string

Comma-separated user IDs

outcome
enum<string>

Only include successful or failed requests

Available options:
success,
failure
user_type
enum<string>

Only include admins (admin) or everyone else (non_admin)

Available options:
admin,
non_admin
exclude_internal
enum<string>
default:0

Set to 1 to leave out internal organisations

Available options:
0,
1

Response

results
object[]
required

Each fixed lookback with the period before it

projection
object
required

This month's projected cost

daily
object[]
required

The last 14 full days, ending yesterday

success
boolean
required